#ifndef MAININCLUDE_H_ZERO
#define MAININCLUDE_H_ZERO
/************************************************************************
Main.h - SpaceGame main header file

Written by Zero (xmaste00).

THIS SOFTWARE IS NOT COPYRIGHTED

This source code is offered for use in the public domain.
You may use, modify or distribute it freely.

This source code is distributed in the hope that it will be useful but
WITHOUT ANY WARRANTY.  ALL WARRANTIES, EXPRESS OR IMPLIED ARE HEREBY
DISCLAIMED.  This includes but is not limited to warranties of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

If you find the source code useful, authors will kindly welcome
if you give them credit and keep their names with their source code,
but you are not forced to do so.
************************************************************************/

// OpenInventor include
#include <Inventor/nodes/SoSeparator.h>
#include <Inventor/nodes/SoMatrixTransform.h>
#include <Inventor/nodes/SoPerspectiveCamera.h>
#include <Inventor/nodes/SoDirectionalLight.h>
#include <Inventor/nodes/SoPointLight.h>
#include <Inventor/nodes/SoSpotLight.h>
#include <Inventor/nodes/SoComplexity.h>
#include <Inventor/nodes/SoFile.h>
#include <Inventor/nodes/SoEventCallback.h>
#include <Inventor/nodes/SoRotation.h>
#include <Inventor/nodes/SoTranslation.h>
#include <Inventor/nodes/SoCoordinate3.h>
#include <Inventor/nodes/SoIndexedTriangleStripSet.h>
#include <Inventor/nodes/SoTextureCoordinate2.h>
#include <Inventor/nodes/SoTransparencyType.h>

#include <Inventor/events/SoKeyboardEvent.h>
#include <Inventor/events/SoMouseButtonEvent.h>

#include <Inventor/collision/SoIntersectionDetectionAction.h>
#include <Inventor/sensors/SoOneShotSensor.h>
#include <Inventor/actions/SoSearchAction.h>

#include <Inventor/lists/SbList.h>

#include <Inventor/Win/SoWinRenderArea.h>
#include <Inventor/Win/SoWin.h>

#include <Inventor/VRMLnodes/SoVRMLWorldInfo.h>

#include <Inventor/SbTime.h>

// other include
#include <windows.h>
#include <time.h>
#include <string>
#include <math.h>

#include <iostream>
#include <fstream>
#include <vector>
#include <map>

#include <process.h>		// for _getpid()
#define getpid() _getpid()

using namespace std;

#endif